Subject: Re: bug#37164: Generated installation image does not include grub.

From: Gábor Boskovits <[email-masked]>
Date: Tue, 27 Aug 2019 07:09:43 +0200

Hello,

Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019. aug. 27.,
K, 4:48):

> On Mon, 2019-08-26 at 22:44 +0200, Gábor Boskovits wrote:
> > Hello,
> >
> > Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019. aug.
> > 23., P, 19:41):
> > > 1. generate the install image
> > >  guix system disk-image --file-system-type=iso9600 --verbosity=3 --
> > > root=installation-os-x86_64.iso  --system=x86_64-linux -e '(@ (gnu
> > > system install) installation-os)'
> > >
> >
> > Just a wild guess, does it work with the verbosity option removed?
> > I had issues with that in the past.
> I tried generating an install image with --verbosity and another
> without --verbosity. There was no difference because guix does not
> expect the --verbosity option to make a difference.
>
> I deleted the link and ran the garbage collector, then tried building
> the image without --verbosity, but file does not detect grub. I think
> it isn't a problem with 'file' because a virtual machine setup with
> virt-manager does not think the ISO is bootable.
>

Is it possible that you are hit by this issue?
https://issues.guix.gnu.org/issue/36865
Could you try again after guix pull?

Best regards,
g_bor

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21